(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react-redux', '../components/FormButton'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react-redux'), require('../components/FormButton'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.reactRedux, global.FormButton);
    global.FormButton = mod.exports;
  }
})(this, function (exports, _reactRedux, _FormButton) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _FormButton2 = _interopRequireDefault(_FormButton);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var mapStateToProps = function mapStateToProps(state, ownProps) {
    var combinedClassName = ownProps.className || '';

    return {
      combinedClassName: combinedClassName,

      authToken: ownProps.authToken || state.authToken || state.settings && state.settings.authToken,

      onSubmit: function onSubmit(event, form) {
        var confirmationMessage = ownProps.confirm;

        if (typeof confirmationMessage === 'string') {
          event.preventDefault();

          var result = window.confirm(confirmationMessage);
          if (result) form.submit();
        }
      }
    };
  };

  var mapDispatchToProps = function mapDispatchToProps() {
    return {};
  };

  exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_FormButton2.default);
});